Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Cuireadh an snáithe seo sa chartlann. Cuir ceist nua má tá cabhair uait.

Tring to download Firefox 5.0.1 but it keeps saying can't load because of sufficient privileges for some of the items. What does this mean and can you help? Thanks! Greg

  • 4 fhreagra
  • 4 leis an bhfadhb seo
  • 34 views
  • Freagra is déanaí ó cor-el

more options

When I open my gmail account in firefox it tells me I need to download the new firefox 5.0.1 so I do. After download it tells me to move icon to applications folder, so I do. Then it ask about replacing my old and I say yes. Then it tells me it can't because of sufficient privileges for some of my items. Can you help?

All Replies (4)

more options

Does that computer meet system requirements for Firefox 5?
http://www.mozilla.com/en-US/firefox/5.0/system-requirements/

Mac Operating Systems

  • Mac OS X 10.5
  • Mac OS X 10.6
  • Mac OS X 10.7

Recommended Hardware

  • Macintosh computer with an Intel x86 processor
  • 512 MB of RAM
  • 200 MB hard drive space
more options

Yes, have a mack with 10.5.8

more options

Yes, have a mac with 10.5.8

more options

If you have problems with updating or with the permissions then easiest is to download the full version and trash the currently installed version to do a clean install of the new version.

Download a new copy of the Firefox program and save the DMG file to the desktop

  • Trash the current Firefox application to do a clean (re-)install
  • Install the new version that you have downloaded

Your profile data is stored elsewhere in the Firefox Profile Folder, so you won't lose your bookmarks and other personal data.